org.appng.search.json

## Class FilterConfig

- java.lang.Object
- - org.appng.search.json.FilterConfig

-     public class FilterConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getItemsCount()`
    `String` | `getLabel()`
    `String` | `getName()`
    `String` | `getType()`
    `Integer` | `getVisibleItemsCount()`
    `boolean` | `isVisible()`
    `void` | `setItemsCount(Integer itemsCount)`
    `void` | `setLabel(String label)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `void` | `setVisible(boolean visible)`
    `void` | `setVisibleItemsCount(Integer visibleItemsCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterConfig

          public FilterConfig()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel(String label)

    - #### getItemsCount

          public Integer getItemsCount()

    - #### setItemsCount

          public void setItemsCount(Integer itemsCount)

    - #### getVisibleItemsCount

          public Integer getVisibleItemsCount()

    - #### setVisibleItemsCount

          public void setVisibleItemsCount(Integer visibleItemsCount)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean visible)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.